Vla-get-fieldlength
- 構文
- (vla-get-fieldlength vla-object )
- 機能
- 属性のフィールド長を取得する。
- 引数
-
- vla-object … VLAオブジェクト(Attribute、AttributeReference)
- 戻り値
- 属性のフィールド長
- サンプル
(vl-load-com) (defun c:Example_FieldLength() ;; モデル空間の属性定義を作成して値を変更するサンプル。 (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; 属性定義の定義 (setq insertionPoint (vlax-3d-point 5 5 0) height 1 attMode acAttributeModeVerify attPrompt "New Prompt" attTag "NEW_TAG" attValue "New Value") ;; 属性定義を作成 (setq modelSpace (vla-get-ModelSpace doc)) (setq attributeObj (vla-AddAttribute modelSpace height attMode attPrompt insertionPoint attTag attValue)) (vla-ZoomAll acadObj) ;; 現在のフィールド長を取得 (setq currFieldLength (vla-get-FieldLength attributeObj)) (alert (strcat "現在の属性のフィールド長は " (itoa currFieldLength))) ;; 変更 (setq newFieldLength (+ currFieldLength 2)) (vla-put-FieldLength attributeObj newFieldLength) (vla-Update attributeObj) (alert (strcat "新しい属性のフィールド長は " (itoa newFieldLength))) ;; 戻す (vla-put-FieldLength attributeObj currFieldLength) (vla-Update attributeObj) (alert (strcat "属性のフィールド長を次に戻しました " (itoa currFieldLength))) )
関連事項